global XS1
XS11=[]; XS12=[]; XS13=[]; XS14=[]; XS15=[];
XS11=XS1(1,:);
XS12=XS1(2,:);
XS13=XS1(3,:);
XS14=XS1(4,:);
XS15=XS1(5,:);

if Xs1(1)~=XS11(1)
    set(findobj(hObject,'Tag','edit2_11'),'ForegroundColor',[0 1 0]);
end
    
switch Xs1(1)
    case 1
        set(findobj(hObject,'Tag','edit2_11'),'string','NVL');
        
    case 2
        set(findobj(hObject,'Tag','edit2_11'),'string','VL');
        
    case 3
        set(findobj(hObject,'Tag','edit2_11'),'string','L');
        
    case 4
        set(findobj(hObject,'Tag','edit2_11'),'string','MLL');
        
    case 5
        set(findobj(hObject,'Tag','edit2_11'),'string','FMLH');
        
    case 6
        set(findobj(hObject,'Tag','edit2_11'),'string','MLH');
        
    case 7
          set(findobj(hObject,'Tag','edit2_11'),'string','H');
        
    case 8
          set(findobj(hObject,'Tag','edit2_11'),'string','EH');
        
end


if Xs1(2)~=XS11(2)
    set(findobj(hObject,'Tag','edit2_12'),'ForegroundColor',[0 1 0]);
end

switch Xs1(2)
        case 1
            set(findobj(hObject,'Tag','edit2_12'),'string','NVL');
        case 2
            set(findobj(hObject,'Tag','edit2_12'),'string','VL');
        case 3
            set(findobj(hObject,'Tag','edit2_12'),'string','L');
        case 4
            set(findobj(hObject,'Tag','edit2_12'),'string','MLL');
        case 5
            set(findobj(hObject,'Tag','edit2_12'),'string','FMLH');
        case 6
            set(findobj(hObject,'Tag','edit2_12'),'string','MLH');
        case 7
            set(findobj(hObject,'Tag','edit2_12'),'string','H');
        case 8
            set(findobj(hObject,'Tag','edit2_12'),'string','EH');
end

if Xs1(3)~=XS11(3)
    set(findobj(hObject,'Tag','edit2_13'),'ForegroundColor',[0 1 0]);
end
switch Xs1(3)
        case 1
            set(findobj(hObject,'Tag','edit2_13'),'string','NVL');
        case 2
            set(findobj(hObject,'Tag','edit2_13'),'string','VL');
        case 3
            set(findobj(hObject,'Tag','edit2_13'),'string','L');
        case 4
            set(findobj(hObject,'Tag','edit2_13'),'string','MLL');
        case 5
            set(findobj(hObject,'Tag','edit2_13'),'string','FMLH');
        case 6
            set(findobj(hObject,'Tag','edit2_13'),'string','MLH');
        case 7
            set(findobj(hObject,'Tag','edit2_13'),'string','H');
        case 8
            set(findobj(hObject,'Tag','edit2_13'),'string','EH');
end

if Xs1(4)~=XS11(4)
    set(findobj(hObject,'Tag','edit2_14'),'ForegroundColor',[0 1 0]);
end
switch Xs1(4)
    case 1
            set(findobj(hObject,'Tag','edit2_14'),'string','VB');
        case 2
            set(findobj(hObject,'Tag','edit2_14'),'string','B');
        case 3
            set(findobj(hObject,'Tag','edit2_14'),'string','SB');
        case 4
            set(findobj(hObject,'Tag','edit2_14'),'string','F');
        case 5
            set(findobj(hObject,'Tag','edit2_14'),'string','SG');
        case 6
            set(findobj(hObject,'Tag','edit2_14'),'string','G');
        case 7
            set(findobj(hObject,'Tag','edit2_14'),'string','VG');
end

if Xs2(1)~=XS12(1)
    set(findobj(hObject,'Tag','edit2_21'),'ForegroundColor',[0 1 0]);
end
switch Xs2(1)
        case 1
            set(findobj(hObject,'Tag','edit2_21'),'string','NVL');
        case 2
            set(findobj(hObject,'Tag','edit2_21'),'string','VL');
        case 3
            set(findobj(hObject,'Tag','edit2_21'),'string','L');
        case 4
            set(findobj(hObject,'Tag','edit2_21'),'string','MLL');
        case 5
            set(findobj(hObject,'Tag','edit2_21'),'string','FMLH');
        case 6
            set(findobj(hObject,'Tag','edit2_21'),'string','MLH');
        case 7
            set(findobj(hObject,'Tag','edit2_21'),'string','H');
        case 8
            set(findobj(hObject,'Tag','edit2_21'),'string','EH');
end
if Xs2(2)~=XS12(2)
    set(findobj(hObject,'Tag','edit2_22'),'ForegroundColor',[0 1 0]);
end
switch Xs2(2)
        case 1
            set(findobj(hObject,'Tag','edit2_22'),'string','NVL');
        case 2
            set(findobj(hObject,'Tag','edit2_22'),'string','VL');
        case 3
            set(findobj(hObject,'Tag','edit2_22'),'string','L');
        case 4
            set(findobj(hObject,'Tag','edit2_22'),'string','MLL');
        case 5
            set(findobj(hObject,'Tag','edit2_22'),'string','FMLH');
        case 6
            set(findobj(hObject,'Tag','edit2_22'),'string','MLH');
        case 7
            set(findobj(hObject,'Tag','edit2_22'),'string','H');
        case 8
            set(findobj(hObject,'Tag','edit2_22'),'string','EH');
end

if Xs2(3)~=XS12(3)
    set(findobj(hObject,'Tag','edit2_23'),'ForegroundColor',[0 1 0]);
end
switch Xs2(3)
        case 1
            set(findobj(hObject,'Tag','edit2_23'),'string','NVL');
        case 2
            set(findobj(hObject,'Tag','edit2_23'),'string','VL');
        case 3
            set(findobj(hObject,'Tag','edit2_23'),'string','L');
        case 4
            set(findobj(hObject,'Tag','edit2_23'),'string','MLL');
        case 5
            set(findobj(hObject,'Tag','edit2_23'),'string','FMLH');
        case 6
            set(findobj(hObject,'Tag','edit2_23'),'string','MLH');
        case 7
            set(findobj(hObject,'Tag','edit2_23'),'string','H');
        case 8
            set(findobj(hObject,'Tag','edit2_23'),'string','EH');
end

if Xs2(4)~=XS12(4)
    set(findobj(hObject,'Tag','edit2_24'),'ForegroundColor',[0 1 0]);
end
switch Xs2(4)
    case 1
            set(findobj(hObject,'Tag','edit2_24'),'string','VB');
        case 2
            set(findobj(hObject,'Tag','edit2_24'),'string','B');
        case 3
            set(findobj(hObject,'Tag','edit2_24'),'string','SB');
        case 4
            set(findobj(hObject,'Tag','edit2_24'),'string','F');
        case 5
            set(findobj(hObject,'Tag','edit2_24'),'string','SG');
        case 6
            set(findobj(hObject,'Tag','edit2_24'),'string','G');
        case 7
            set(findobj(hObject,'Tag','edit2_24'),'string','VG');
end

if Xs3(1)~=XS13(1)
    set(findobj(hObject,'Tag','edit2_31'),'ForegroundColor',[0 1 0]);
end

switch Xs3(1)
        case 1
            set(findobj(hObject,'Tag','edit2_31'),'string','NVL');
        case 2
            set(findobj(hObject,'Tag','edit2_31'),'string','VL');
        case 3
            set(findobj(hObject,'Tag','edit2_31'),'string','L');
        case 4
            set(findobj(hObject,'Tag','edit2_31'),'string','MLL');
        case 5
            set(findobj(hObject,'Tag','edit2_31'),'string','FMLH');
        case 6
            set(findobj(hObject,'Tag','edit2_31'),'string','MLH');
        case 7
            set(findobj(hObject,'Tag','edit2_31'),'string','H');
        case 8
            set(findobj(hObject,'Tag','edit2_31'),'string','EH');
end

if Xs3(2)~=XS13(2)
    set(findobj(hObject,'Tag','edit2_32'),'ForegroundColor',[0 1 0]);
end
switch Xs3(2)
        case 1
            set(findobj(hObject,'Tag','edit2_32'),'string','NVL');
        case 2
            set(findobj(hObject,'Tag','edit2_32'),'string','VL');
        case 3
            set(findobj(hObject,'Tag','edit2_32'),'string','L');
        case 4
            set(findobj(hObject,'Tag','edit2_32'),'string','MLL');
        case 5
            set(findobj(hObject,'Tag','edit2_32'),'string','FMLH');
        case 6
            set(findobj(hObject,'Tag','edit2_32'),'string','MLH');
        case 7
            set(findobj(hObject,'Tag','edit2_32'),'string','H');
        case 8
            set(findobj(hObject,'Tag','edit2_32'),'string','EH');
end

if Xs3(3)~=XS13(3)
    set(findobj(hObject,'Tag','edit2_33'),'ForegroundColor',[0 1 0]);
end
switch Xs3(3)
        case 1
            set(findobj(hObject,'Tag','edit2_33'),'string','NVL');
        case 2
            set(findobj(hObject,'Tag','edit2_33'),'string','VL');
        case 3
            set(findobj(hObject,'Tag','edit2_33'),'string','L');
        case 4
            set(findobj(hObject,'Tag','edit2_33'),'string','MLL');
        case 5
            set(findobj(hObject,'Tag','edit2_33'),'string','FMLH');
        case 6
            set(findobj(hObject,'Tag','edit2_33'),'string','MLH');
        case 7
            set(findobj(hObject,'Tag','edit2_33'),'string','H');
        case 8
            set(findobj(hObject,'Tag','edit2_33'),'string','EH');
end

if Xs3(4)~=XS13(4)
    set(findobj(hObject,'Tag','edit2_34'),'ForegroundColor',[0 1 0]);
end
switch Xs3(4)
    case 1
            set(findobj(hObject,'Tag','edit2_34'),'string','VB');
        case 2
            set(findobj(hObject,'Tag','edit2_34'),'string','B');
        case 3
            set(findobj(hObject,'Tag','edit2_34'),'string','SB');
        case 4
            set(findobj(hObject,'Tag','edit2_34'),'string','F');
        case 5
            set(findobj(hObject,'Tag','edit2_34'),'string','SG');
        case 6
            set(findobj(hObject,'Tag','edit2_34'),'string','G');
        case 7
            set(findobj(hObject,'Tag','edit2_34'),'string','VG');
end

if Xs4(1)~=XS14(1)
    set(findobj(hObject,'Tag','edit2_41'),'ForegroundColor',[0 1 0]);
end
switch Xs4(1)
        case 1
            set(findobj(hObject,'Tag','edit2_41'),'string','NVL');
        case 2
            set(findobj(hObject,'Tag','edit2_41'),'string','VL');
        case 3
            set(findobj(hObject,'Tag','edit2_41'),'string','L');
        case 4
            set(findobj(hObject,'Tag','edit2_41'),'string','MLL');
        case 5
            set(findobj(hObject,'Tag','edit2_41'),'string','FMLH');
        case 6
            set(findobj(hObject,'Tag','edit2_41'),'string','MLH');
        case 7
            set(findobj(hObject,'Tag','edit2_41'),'string','H');
        case 8
            set(findobj(hObject,'Tag','edit2_41'),'string','EH');
end

if Xs4(2)~=XS14(2)
    set(findobj(hObject,'Tag','edit2_42'),'ForegroundColor',[0 1 0]);
end
switch Xs4(2)
        case 1
            set(findobj(hObject,'Tag','edit2_42'),'string','NVL');
        case 2
            set(findobj(hObject,'Tag','edit2_42'),'string','VL');
        case 3
            set(findobj(hObject,'Tag','edit2_42'),'string','L');
        case 4
            set(findobj(hObject,'Tag','edit2_42'),'string','MLL');
        case 5
            set(findobj(hObject,'Tag','edit2_42'),'string','FMLH');
        case 6
            set(findobj(hObject,'Tag','edit2_42'),'string','MLH');
        case 7
            set(findobj(hObject,'Tag','edit2_42'),'string','H');
        case 8
            set(findobj(hObject,'Tag','edit2_42'),'string','EH');
end
if Xs4(3)~=XS14(3)
    set(findobj(hObject,'Tag','edit2_43'),'ForegroundColor',[0 1 0]);
end
switch Xs4(3)
        case 1
            set(findobj(hObject,'Tag','edit2_43'),'string','NVL');
        case 2
            set(findobj(hObject,'Tag','edit2_43'),'string','VL');
        case 3
            set(findobj(hObject,'Tag','edit2_43'),'string','L');
        case 4
            set(findobj(hObject,'Tag','edit2_43'),'string','MLL');
        case 5
            set(findobj(hObject,'Tag','edit2_43'),'string','FMLH');
        case 6
            set(findobj(hObject,'Tag','edit2_43'),'string','MLH');
        case 7
            set(findobj(hObject,'Tag','edit2_43'),'string','H');
        case 8
            set(findobj(hObject,'Tag','edit2_43'),'string','EH');
end

if Xs4(4)~=XS14(4)
    set(findobj(hObject,'Tag','edit2_44'),'ForegroundColor',[0 1 0]);
end
switch Xs4(4)
    case 1
            set(findobj(hObject,'Tag','edit2_44'),'string','VB');
        case 2
            set(findobj(hObject,'Tag','edit2_44'),'string','B');
        case 3
            set(findobj(hObject,'Tag','edit2_44'),'string','SB');
        case 4
            set(findobj(hObject,'Tag','edit2_44'),'string','F');
        case 5
            set(findobj(hObject,'Tag','edit2_44'),'string','SG');
        case 6
            set(findobj(hObject,'Tag','edit2_44'),'string','G');
        case 7
            set(findobj(hObject,'Tag','edit2_44'),'string','VG');
end

if Xs5(1)~=XS15(1)
    set(findobj(hObject,'Tag','edit2_51'),'ForegroundColor',[0 1 0]);
end
switch Xs5(1)
        case 1
            set(findobj(hObject,'Tag','edit2_51'),'string','NVL');
        case 2
            set(findobj(hObject,'Tag','edit2_51'),'string','VL');
        case 3
            set(findobj(hObject,'Tag','edit2_51'),'string','L');
        case 4
            set(findobj(hObject,'Tag','edit2_51'),'string','MLL');
        case 5
            set(findobj(hObject,'Tag','edit2_51'),'string','FMLH');
        case 6
            set(findobj(hObject,'Tag','edit2_51'),'string','MLH');
        case 7
            set(findobj(hObject,'Tag','edit2_51'),'string','H');
        case 8
            set(findobj(hObject,'Tag','edit2_51'),'string','EH');
end

if Xs5(2)~=XS15(2)
    set(findobj(hObject,'Tag','edit2_52'),'ForegroundColor',[0 1 0]);
end
switch Xs5(2)
        case 1
            set(findobj(hObject,'Tag','edit2_52'),'string','NVL');
        case 2
            set(findobj(hObject,'Tag','edit2_52'),'string','VL');
        case 3
            set(findobj(hObject,'Tag','edit2_52'),'string','L');
        case 4
            set(findobj(hObject,'Tag','edit2_52'),'string','MLL');
        case 5
            set(findobj(hObject,'Tag','edit2_52'),'string','FMLH');
        case 6
            set(findobj(hObject,'Tag','edit2_52'),'string','MLH');
        case 7
            set(findobj(hObject,'Tag','edit2_52'),'string','H');
        case 8
            set(findobj(hObject,'Tag','edit2_52'),'string','EH');
end

if Xs5(3)~=XS15(3)
    set(findobj(hObject,'Tag','edit2_53'),'ForegroundColor',[0 1 0]);
end
switch Xs5(3)
        case 1
            set(findobj(hObject,'Tag','edit2_53'),'string','NVL');
        case 2
            set(findobj(hObject,'Tag','edit2_53'),'string','VL');
        case 3
            set(findobj(hObject,'Tag','edit2_53'),'string','L');
        case 4
            set(findobj(hObject,'Tag','edit2_53'),'string','MLL');
        case 5
            set(findobj(hObject,'Tag','edit2_53'),'string','FMLH');
        case 6
            set(findobj(hObject,'Tag','edit2_53'),'string','MLH');
        case 7
            set(findobj(hObject,'Tag','edit2_53'),'string','H');
        case 8
            set(findobj(hObject,'Tag','edit2_53'),'string','EH');
end
if Xs5(4)~=XS15(4)
    set(findobj(hObject,'Tag','edit2_54'),'ForegroundColor',[0 1 0]);
end
switch Xs5(4)
    case 1
            set(findobj(hObject,'Tag','edit2_54'),'string','VB');
        case 2
            set(findobj(hObject,'Tag','edit2_54'),'string','B');
        case 3
            set(findobj(hObject,'Tag','edit2_54'),'string','SB');
        case 4
            set(findobj(hObject,'Tag','edit2_54'),'string','F');
        case 5
            set(findobj(hObject,'Tag','edit2_54'),'string','SG');
        case 6
            set(findobj(hObject,'Tag','edit2_54'),'string','G');
        case 7
            set(findobj(hObject,'Tag','edit2_54'),'string','VG');
end
